#!/usr/bin/python

__version__ = "1.0"

debug = True

try:
	from wizz_iis.conf import *
except:
	print "No config module found. Using defaults." 
	pass

import BaseHTTPServer
import CGIHTTPServer
import cgitb; cgitb.enable()

import logging
import os
import SocketServer
import sys
sys.path.append('/usr/scripts')

from wizz_functions import *

BASE_TMP = '/tmp'
BASE_WWW = '/usr/www'
BASE_CGI = BASE_WWW + '/cgi'

DEFAULT_PORT = 80

# Main
def main():
	
	port = DEFAULT_PORT
	if sys.argv[1:]: port = int(sys.argv[1])

	log = logging.getLogger('iis.cc.wizz')
	log_start(log, BASE_TMP + '/wizz_iis.txt')
	# os.system("logger -s \"[START] Web Server\"")

	os.chdir(BASE_WWW)
	server = BaseHTTPServer.HTTPServer
	server_address = ('', port)

	handler = CGIHTTPServer.CGIHTTPRequestHandler
	handler.cgi_directories = [BASE_CGI, '/cgi-bin']
	handler.protocol = "HTTP/1.0"

	httpd = server(server_address, handler)
	sa = httpd.socket.getsockname()
	msg = 'Serving HTTP on '+str(sa[0])+' port '+str(sa[1])+' ['+os.getcwd()+']...'
	print msg; log_info(log, msg)

	httpd.serve_forever()
	# while keep_running(): httpd.handle_request()

if __name__ == "__main__": main()

#
# http://wizz.cc
